| # Gaudi Framework, version v20r3
Generated: 24 Nov 2008

# GaudiHandleArrayProperty Class Reference

`#include <Property.h>`

Inheritance diagram for GaudiHandleArrayProperty:

[legend]
Collaboration diagram for GaudiHandleArrayProperty:

[legend]

List of all members.

## Detailed Description

Definition at line 812 of file Property.h.

## Public Member Functions
| GaudiHandleArrayProperty (const std::string &name, GaudiHandleArrayBase &ref)
GaudiHandleArrayProperty & | operator= (const GaudiHandleArrayBase &value)
virtual GaudiHandleArrayProperty * | clone () const
| clone: "virtual constructor"
virtual bool | load (Property &destination) const
| export the property value to the destination
virtual bool | assign (const Property &source)
| import the property value form the source
virtual std::string | toString () const
| value -> string
virtual StatusCode | fromString (const std::string &s)
| string -> value
const GaudiHandleArrayBase & | value () const
bool | setValue (const GaudiHandleArrayBase &value)
## Private Attributes
GaudiHandleArrayBase * | m_pValue
| Pointer to the real property.

## Constructor & Destructor Documentation

GaudiHandleArrayProperty::GaudiHandleArrayProperty | ( | const std::string & | name,
|  | GaudiHandleArrayBase & | ref |
| ) |  |  |

Definition at line 265 of file Property.cpp.

    00266   : Property( name, typeid( GaudiHandleArrayBase ) ), m_pValue( &ref )
    00267 {
    00268   m_pValue->setPropertyName( name );
    00269 }

## Member Function Documentation

GaudiHandleArrayProperty & GaudiHandleArrayProperty::operator= | ( | const GaudiHandleArrayBase & | value | ) | `[inline]`

Definition at line 844 of file Property.h.

    00844                                                                                                         {
    00845   setValue( value );
    00846   return *this;
    00847 }

GaudiHandleArrayProperty * GaudiHandleArrayProperty::clone | ( |  | ) | const`[inline, virtual]`

clone: "virtual constructor"

Implements Property.

Definition at line 849 of file Property.h.

    00849                                                                        {
    00850   return new GaudiHandleArrayProperty( *this );
    00851 }

bool GaudiHandleArrayProperty::load | ( | Property & | dest | ) | const`[inline, virtual]`

export the property value to the destination

Implements Property.

Definition at line 853 of file Property.h.

    00853                                                                         {
    00854   return destination.assign( *this );
    00855 }

bool GaudiHandleArrayProperty::assign | ( | const Property & | source | ) | `[inline, virtual]`

import the property value form the source

Implements Property.

Definition at line 857 of file Property.h.

    00857                                                                      {
    00858   return fromString( source.toString() ) != 0;
    00859 }

std::string GaudiHandleArrayProperty::toString | ( |  | ) | const`[virtual]`

value -> string

Implements Property.

Definition at line 277 of file Property.cpp.

    00277                                                    {
    00278   // treat as if a StringArrayProperty
    00279   useReadHandler();
    00280   return Gaudi::Utils::toString( m_pValue->typesAndNames() );
    00281 }

StatusCode GaudiHandleArrayProperty::fromString | ( | const std::string & | value | ) | `[virtual]`

string -> value

Implements Property.

Definition at line 283 of file Property.cpp.

    00283                                                                          {
    00284   // treat as if a StringArrayProperty
    00285   std::vector< std::string > tmp;
    00286   StatusCode sc = Gaudi::Parsers::parse ( tmp , source );
    00287   if ( sc.isFailure() ) return sc;
    00288   if ( !m_pValue->setTypesAndNames( tmp ) ) return StatusCode::FAILURE;
    00289   useUpdateHandler();
    00290   return StatusCode::SUCCESS;
    00291 }

const GaudiHandleArrayBase & GaudiHandleArrayProperty::value | ( |  | ) | const`[inline]`

Definition at line 861 of file Property.h.

    00861                                                                          {
    00862   useReadHandler();
    00863   return *m_pValue;
    00864 }

bool GaudiHandleArrayProperty::setValue | ( | const GaudiHandleArrayBase & | value | ) |

Definition at line 271 of file Property.cpp.

    00271                                                                            {
    00272   m_pValue->setTypesAndNames( value.typesAndNames() );
    00273   useUpdateHandler();
    00274   return true;
    00275 }

## Member Data Documentation

GaudiHandleArrayBase* GaudiHandleArrayProperty::m_pValue`[private]`

Pointer to the real property.

Reference would be better, but Reflex does not support references yet

Definition at line 836 of file Property.h.

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r3/GaudiKernel/GaudiKernel/Property.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r3/GaudiKernel/src/Lib/Property.cpp